# Submission
The repo you submit will have a gameprog.md file. This file will at minimum cover:

* A list of the name of the students in the team
* A list of links to any other repos connected to the game
* A **video** of the **gameplay** showing off the important parts of the game
* A **video** showing off the **code** that is tightinly integrated with the game engine that is difficult to see from the text of the programming.
* Group discussion on the **development process**
   * Strenghts and weaknesses of engine you used in your game
   * How you controlled process and communication systems during development
   * Use of version control systems, ticket tracking, branching, version control
* You will include an **individual** discussion on 
   * A link to, and discussion of, code you consider **good**.
   * A link to, and discussion of, code you consider **bad**.
   * A personal **reflection** about the key concepts you learnt during the course 

# Rubric

|Description | min | def | max |
|----|----|----|----|
|Gameplay video | 5 | 10 | 20 |
|Code video | 0 | 10 | 15 |
|Good Code  | 10 | 20 | 30 |
|Bad Code | 10 | 20 | 30 |
|Development process | 10 | 20 | 30 |
|Reflection | 10 | 20 | 30 |

When referring to the code you have worked on you can claim

* All - you developed all the in this area - no one else can claim more than touching the code
* Most - you did the majority of the development, other developers can claim "some" or "touched"
* Half - you did about half the work in developing this section of code
* Some - there are bits of the code that are significant that you updated or created
* Touched - you did some important debugging.

For code involvement the interaction rules are:

Anyone can claim to have “Touched” code. This would involve as little as single line debugging. You would only mention this if the input was significant for the project, but very small in actual change in code.
If you claim you did “All” of a part of code no one else can claim “Most”, “Half”, or “Some”, any group member can claim they touched the code.
If you claim you did “Most” then others cannot claim “All”, “Most”, or “Half” but up to half the group (N/2) can claim “Some” work.
If you claim “Half” then others cannot claim “All” or “Most”, but one (1) other can claim “Half” and any number of the group (N) can claim “Some” or “Touched” Others

| | # claim |Others| All	| Most | Half | Some | Touched |
|----|----|-|----|----|----|----|----|
| All	| 1 || 0 | 0 | 0 | 0 | N |
| Most | 1 || 0 | 0 | 0 | N | N |
| Half | 2 || 0 | 0 | 1 | N | N |
| Some | N || 0 | 1 | 1 | N | N |
| Touched | N || 1 | 1 | 2 | N | N |



